# rtpgstpay

Payload GStreamer buffers as RTP packets

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstRTPBasePayload
                        ╰──rtpgstpay

## Factory details

Authors: – Wim Taymans <wim.taymans@gmail.com></wim.taymans@gmail.com>

Classification: – `Codec/Payloader/Network/RTP`

Rank – none

Plugin – rtp

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    application/x-rtp:
              media: application
            payload: [ 96, 127 ]
         clock-rate: 90000
      encoding-name: X-GST

Presence – always

Direction – src

Object type – GstPad

## Properties

### config-interval

    “config-interval” guint

Interval for sending caps and TAG events in seconds (0 = disabled)

Flags : Read / Write

Default value : 0

The results of the search are